﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Share.Dtos.FlowEngine;
using MediatR;

namespace Hotline.FlowEngine.Notifies
{
    public record NextStepNotify(string WorkflowId, BasicWorkflowDto Data) : INotification;
    public record PreviousStepNotify(PreviousWorkflowDto Data) : INotification;
}
