﻿
namespace XF.Domain.Entities
{
    public interface IDataPermission
    {
        string CreatorOrgId { get; }

        string CreatorOrgCode { get; }

        string CreatorId { get; }

        string AreaId { get; }

        void CreateDataPermission(string orgId,string orgCode, string creatorId, string? areaId);
    }

    public interface IWorkflow
    {
        string? WorkflowId { get; set; }
        /// <summary>
        /// 指派部门编码
        /// </summary>
        List<string> AssignDepCodes { get; set; }
        List<string> AssignUserIds { get; set; }
    }
}
